<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Tugas Akhir </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow">
                    <div class="card-header border-1">
                        <h3 class="mb-0">List Bimbingan</h3>
                    </div>
                    <div class="card-body">

                        <div class="nav-wrapper mb-4">
                            <ul class="nav nav-pills nav-fill flex-column flex-md-row" id="tabs-icons-text" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0 active" id="tabs-icons-text-1-tab" data-toggle="tab" href="#tabs-icons-text-1" role="tab" aria-controls="tabs-icons-text-1" aria-selected="true"> Mahasiswa S1</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link mb-sm-3 mb-md-0" id="tabs-icons-text-2-tab" data-toggle="tab" href="#tabs-icons-text-2" role="tab" aria-controls="tabs-icons-text-2" aria-selected="true"> Mahasiswa S2</a>
                                </li>
                            </ul>
                        </div>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="tabs-icons-text-1" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>No</th>
                                            <th>Nim</th>
                                            <th>Nama</th>
                                            <th>Judul</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row : ${list}">
                                            <td th:text="${(row.index + 1)}">1</td>
                                            <td th:text="${data.mahasiswa.nim}"></td>
                                            <td th:text="${data.mahasiswa.nama}"></td>
                                            <td th:text="${#strings.abbreviate(data.judul, 70)}"></td>
                                            <td>
                                                <a th:href="@{/graduation/bimbingan/dosen/detail(note = ${data.id})}" class="btn btn-info btn-sm"><i class="fa fa-eye"></i> Cek Detail</a>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="tab-pane fade show" id="tabs-icons-text-2" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>No</th>
                                            <th>Nim</th>
                                            <th>Nama</th>
                                            <th>Judul</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row : ${listPasca}">
                                            <td th:text="${(row.index + 1)}">1</td>
                                            <td th:text="${data.mahasiswa.nim}"></td>
                                            <td th:text="${data.mahasiswa.nama}"></td>
                                            <td th:text="${#strings.abbreviate(data.judul, 70)}"></td>
                                            <td>
                                                <a th:href="@{/graduation/bimbingan/dosen/detail(note = ${data.id})}" class="btn btn-info btn-sm"><i class="fa fa-eye"></i> Cek Detail</a>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</body>
</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js"></script>
<script>
    var $table = $('#table')

    $(function() {
        $table.bootstrapTable({
            columns: [
                //     {
                //     field: '-',
                //     align: 'center',
                //     valign: 'middle',
                //     formatter: checkFormatter
                // },
                {
                    field: 'kelas',
                    align: 'center',
                    valign: 'middle',
                    formatter: detailFormatter
                }]
        })
    })

    function detailFormatter(value, row, index) {
        return [
            row.nim + ' ( ' + row.nama + ' ) '
        ].join('')
    }

    function checkFormatter(value, row, index) {
        return [
            '<div className="form-check">',
            '<input className="form-check-input" type="checkbox" value="" id="fcustomCheck1" >',
            '<label className="custom-control-label" htmlFor="customCheck1"></label>',
            '</div>',
            // row.nim + ' ( ' + row.nama + ' ) '
        ].join('')
    }
</script>

